package com.xzzn.ems.domain.vo;

/**
 * 站点管理-站点设备列表
 *
 */
public class SiteDeviceListVo {
    /** 站点id */
    private String siteId;
    /** 站点名称 */
    private String siteName;
    /** 设备id */
    private String deviceId;
    /** 设备名称 */
    private String deviceName;
    /** 设备类型 */
    private String deviceType;
    /** 运行状态 */
    private String deviceStatus;
    /** 工作状态 */
    private String workStatus;
    /** 设备类型 */
    private String deviceCategory;
    /** 设备类型 */
    private String pictureUrl;
    /** 唯一标识 */
    private String id;
    /** 父类id */
    private String parentId;
    /** 单体电池个数-仅stack设备下有 */
    private int batteryNum;
    /** 设备类型名称 */
    private String categoryName;

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getSiteName() {
        return siteName;
    }

    public void setSiteName(String siteName) {
        this.siteName = siteName;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(String deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getWorkStatus() {
        return workStatus;
    }

    public void setWorkStatus(String workStatus) {
        this.workStatus = workStatus;
    }

    public String getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(String deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

    public String getPictureUrl() {
        return pictureUrl;
    }

    public void setPictureUrl(String pictureUrl) {
        this.pictureUrl = pictureUrl;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public int getBatteryNum() {
        return batteryNum;
    }

    public void setBatteryNum(int batteryNum) {
        this.batteryNum = batteryNum;
    }
}
